> For the complete documentation index, see [llms.txt](https://docs.keyfax.biz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.keyfax.biz/integrations/apis/rest-api.md).

# REST API

- [Quick Start](https://docs.keyfax.biz/integrations/apis/rest-api/quick-start.md): Learn how to quickly get started with the Keyfax REST based Web API.
- [Deep Dive](https://docs.keyfax.biz/integrations/apis/rest-api/deep-dive.md): A technical deeper dive into the Keyfax REST based Web API.
- [API SDKs](https://docs.keyfax.biz/integrations/apis/rest-api/api-sdks.md): Learn how to use the Keyfax Web API .NET or JavaScript SDK's.
- [.NET SDK](https://docs.keyfax.biz/integrations/apis/rest-api/api-sdks/.net-sdk.md): Learn more about the Keyfax Web API .NET SDK.
- [JavaScript SDK](https://docs.keyfax.biz/integrations/apis/rest-api/api-sdks/javascript-sdk.md): Learn how to use the Keyfax Web API JavaScript SDK.
- [Start-Up Data](https://docs.keyfax.biz/integrations/apis/rest-api/api-sdks/start-up-data.md)
- [Processing Results](https://docs.keyfax.biz/integrations/apis/rest-api/api-sdks/processing-results.md)
- [API Reference](https://docs.keyfax.biz/integrations/apis/rest-api/api-reference.md): The main Web API end points required for most host integrations.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keyfax.biz/integrations/apis/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
